<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Mitarbeiter\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog;

use Kufer\Web\KuferTools\Utils\DatamodulHelper\Teilnehmer\TeilnehmerHelper;

class AbmeldenDialogUseCase extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\BelegteKurse\AbmeldenDialog\AbmeldenDialogUseCase
{
  public static function getToolId()
  {
    return \ToolsAPI::TOOL_TEILNEHMERINFO_MA;
  }

  public static function getToolSectionId()
  {
    return 43;
  }

  protected function getMainReiterId(): int
  {
    return 411;
  }

  protected function getToolIdKursuebersicht()
  {
    return \Kufer\Web\KuferTools\Mitarbeiter\KursUebersicht\KursUebersicht\KursUebersichtUseCase::getToolId();
  }

  protected function getTeilnehmerHelper()
  {
    return TeilnehmerHelper::createMitarbeiterTeilnehmerUebersicht(
      $this->toolSettings,
      $this->getUser()
    );
  }
}